This example asks the end user to select a face, a rectilinear edge, and creates a hole.
The rectilinear edge specifies the hole direction. It may be a RectilinearTriDimFeatEdge, a RectilinearBiDimFeatEdge
or a RectilinearMonoDimFeatEdge.
Dim EnabledObjectSelection1(0)
Dim EnabledObjectSelection2(2)
Set Document = CATIA.ActiveDocument
Set Selection = Document.Selection
'We propose to the user that he select a face
EnabledObjectSelection1(0)="Face"
Status=Selection.SelectElement2(EnabledObjectSelection1,"Select a face",true)
if (Status = "cancel") then Exit Sub
Set Face = Selection.Item(1).Value
Selection.Clear
'We propose to the user that he select the hole direction
EnabledObjectSelection2(0)="RectilinearTriDimFeatEdge"
EnabledObjectSelection2(1)="RectilinearBiDimFeatEdge"
EnabledObjectSelection2(2)="RectilinearMonoDimFeatEdge"
Status=Selection.SelectElement2(EnabledObjectSelection2,"Select the hole direction",true)
if (Status = "cancel") then Exit Sub
Set Hole = ShapeFactory.AddNewHoleFromPoint(20.0,-5.5, 1.07,Face,10.0)
Hole.ThreadingMode = 1
Hole.ThreadSide = 0
Hole.SetDirection Selection.Item(1).Value
Document.Part.Update